# Method: firstAndThirdPartyAudiences.patch

> [!WARNING]
> Display \& Video 360 API v1 has been sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v1/firstAndThirdPartyAudiences/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v1/firstAndThirdPartyAudiences/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v1/firstAndThirdPartyAudiences/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v1/firstAndThirdPartyAudiences/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v1/firstAndThirdPartyAudiences/patch#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/api/reference/rest/v1/firstAndThirdPartyAudiences/patch#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v1/firstAndThirdPartyAudiences/patch#try-it)

Updates an existing FirstAndThirdPartyAudience.

Only supported for the following `https://developers.google.com/display-video/api/reference/rest/v1/firstAndThirdPartyAudiences#FirstAndThirdPartyAudience.FIELDS.audience_type`:

- `CUSTOMER_MATCH_CONTACT_INFO`
- `CUSTOMER_MATCH_DEVICE_ID`

### HTTP request

`PATCH https://displayvideo.googleapis.com/v1/firstAndThirdPartyAudiences/{firstAndThirdPartyAudience.firstAndThirdPartyAudienceId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `firstAndThirdPartyAudience.firstAndThirdPartyAudienceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the first and third party audience. Assigned by the system. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The mask to control which fields to update. Updates are only supported for the following fields: - `displayName` - `description` - `membershipDurationDays` This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the owner advertiser of the updated FirstAndThirdPartyAudience. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v1/firstAndThirdPartyAudiences#FirstAndThirdPartyAudience`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v1/firstAndThirdPartyAudiences#FirstAndThirdPartyAudience`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).